ITR Authorise New Password
Introduction:
ITR allows session authorisation using password and OTP. For users who have a password authorisation, this API provides them a facility to reset the password in case they can not remember their password. Using the API, a client can facilitate their users to set new password and procure details.
In this API a user will authorise the new password using an OTP.

Sample Curls:
curl --location 'https://api-preproduction.signzy.app/api/v3/itr/itrauthorisenewpassword' \
--header 'Authorization: <auth-token>' \
--header 'Content-Type: application/json' \
--data '{
"sessionId":"itr_qlMsUpWquTergQEdxBZc",
"otp":"432741"
}'Input Parameters:
Parameter | Type | Description | Mandatory/Optional |
|---|---|---|---|
sessionId | string | Unique identifier for the session (Output of the itrforgetpassword API) | Mandatory |
otp | string | 6 digit OTP | Mandatory |

Sample Response:
{
"sessionId": "itr_biVMwntmilIqlwiPEwwm",
"passwordResetStatus": true,
"statusCode": 200,
"message": "Password reset successful",
"success": true
}
Output Parameters:
Parameter | Type | Description |
|---|---|---|
session_id | String | Unique identifier for the session. |
password_reset_status | Boolean | Indicates if password reset was successful (true) or not (false). |
status_code | Integer | HTTP status code of the response (200 indicates success). |
message | String | Descriptive message about the outcome (e.g., "Password reset successful"). |
success | Boolean | Overall success status of the password reset request (true for successful reset). |
Status codes:
CODE | MESSAGE |
|---|---|
200 | Request successful |
409 | Upstream is down |
422 | Wrong Username |
400 | Bad Request - Mandatory parameters missing |
404 | SessionId not found |
429 | OTP limit exceeded |